/// <reference types="react" resolution-mode="require"/>
import { DataValue, ISeparators } from "@gooddata/sdk-model";
import { CellStyle, ColDef } from "ag-grid-community";
import { AnyCol } from "../structure/tableDescriptorTypes.js";
import { IGridRow } from "../data/resultTypes.js";
import { ColumnHeadersPosition } from "src/publicTypes.js";
export interface ITableCellStyle {
    backgroundColor?: string;
    color?: string;
    fontWeight?: React.CSSProperties["fontWeight"];
}
export declare function getCellClassNames(rowIndex: number, columnIndex: number, isDrillable: boolean): string;
export declare function getMeasureCellFormattedValue(value: DataValue, format: string, separators: ISeparators | undefined): string;
export declare function getMeasureCellStyle(value: DataValue, format: string, separators: ISeparators | undefined, applyColor: boolean): CellStyle;
export declare function getColumnTotalOrSubTotalInfo(colDef: ColDef, col: AnyCol, row: IGridRow, isTransposed: boolean, columnHeadersPosition: ColumnHeadersPosition): {
    isColumnTotal: boolean;
    isColumnSubtotal: boolean;
};
//# sourceMappingURL=cellUtils.d.ts.map